# collada.scene.Scene

class collada.scene.Scene(id, nodes, xmlnode=None, collada=None)

  The root object for a scene, as defined in a collada <scene> tag

  __init__(id, nodes, xmlnode=None, collada=None)

    Create a scene

    Parameters:

      - id (str) – A unique string identifier for the scene

      - nodes (list) – A list of type `collada.scene.Node` representing the nodes in the scene

      - xmlnode – When loaded, the xmlnode it comes from

      - collada – The collada instance this is part of

  Methods

  `__init__`(id, nodes[, xmlnode, collada]) | Create a scene
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo) | Iterate through all objects in the scene that match tipo.
  `save`() | Saves the scene back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the scene node.
  `id` | The unique string identifier for the scene
  `nodes` | A list of type `collada.scene.Node` representing the nodes in the scene
  `collada` | The collada instance this is part of